Found old 3GS (4.0/5.13.04) -- how do I unlock safely?

Discussion in 'Jailbreaks and iOS Hacks' started by eekcat, Feb 27, 2012.

  1. eekcat macrumors 6502a

    Joined:
    Apr 5, 2010
    #1
    I've never needed to unlock any of my phones until now (taking a trip to Asia next month), and after rummaging through a bunch of old stuff I had laying around, I found my old 3GS, still running 4.0, with the 5.13.04 baseband. (I guess I'll have to live with the "downgrade" from my 4S to the 3GS while I've overseas...)

    So here's the stupid question: How do I go about safely unlocking it? (update to 5.0.1 w/o updating the baseband?)

    I've done some searching, and it seems to be possible with this baseband, but given the "extreme" age of this device, I haven't been able to find any tutorials around to walk me through it step by step. (I think I read something about Ultrasn0w 1.2.4 using the iPad baseband, something I didn't think was necessary with 5.13.04?)

    If anyone could help out, I'd really appreciate it. :)
     
  2. PsstGreek macrumors 68040

    PsstGreek

    Joined:
    Oct 21, 2010
    Location:
    Tampa Bay
    #2
    You don't need to mess with the iPad baseband since you have an unlockable one.

    To get to iOS 5.0.1 you can either use Redsn0w or PwnageTool by making a custom firmware.

    PwnageTool - Mac

    Redsn0w - Windows/Mac

    If you use redsn0w make sure you make the custom firmware first. After you're jailbroken ultrasn0w will unlock the iPhone (from Cydia). You would have to add the source repo666.ultrasn0w.com

    Also download TinyUmbrella and save your SHSH. TinyUmbrella

    *EDIT*

    Or if you don't need your iPhone on iOS 5, you can jailbreak it by going to www.jailbreakme.com straight from safari on your iPhone.
     
  3. ninjaw95 macrumors 6502

    Joined:
    Nov 30, 2011
    #3
    dont go to ios5. just stay on 4. ios 5 is too slow on a 3gs in my opinion
     
  4. eekcat thread starter macrumors 6502a

    Joined:
    Apr 5, 2010
    #4
    Thank you both - I went ahead and jailbroke on 4.0 via jailbreakme.com, then installed ultrasn0w 1.2.5.

    I only really need it as a phone/sms device anyway...

    Now if I only knew someone with a non AT&T SIM so I'd be able to test the unlock. (everybody I know is Verizon or AT&T:p)
     
  5. PsstGreek macrumors 68040

    PsstGreek

    Joined:
    Oct 21, 2010
    Location:
    Tampa Bay

Share This Page